#############
# Core libs #
#############

# Path to OpenSG

OSG_INCLUDE_PATH=/usr/local/include/OpenSG
OSG_LIB_PATH=/usr/local/lib/opt

# Path to GLUT

GLUT_INCLUDE_PATH=/usr/include
GLUT_LIB_PATH=/usr/lib

X11_LIB_PATH=/usr/X11R6/lib

#################
# Optional libs #
#################

# Path to CollDet

COLL_INCLUDE_PATH = $(HOME)/Code/CollDet/coll
COLL_LIB_PATH = $(HOME)/Code/CollDet/install/lib/macosx

# Path to PQP

#PQP_INCLUDE_PATH=../../extern/PQP_v1.3/include
#PQP_LIB_PATH=../../libs

# Path to Opcode

#OPC_INCLUDE_PATH=../../extern/Opcode
#OPC_LIB_PATH=../../libs

# Path to FreeSOLID

#SOLID_INCLUDE_PATH=../../extern/FreeSOLID-2.1.1/include
#SOLID_LIB_PATH=../../libs

# Path to V-Collide

#VC_INCLUDE_PATH=../../extern/VCOLLIDE/include
#VC_LIB_PATH=../../libs

##################
# Code goes here #
##################

ifndef BASEDIR
 BASEDIR=$(shell pwd)
 export BASEDIR
endif

################
# include code #
################

ifdef OSG_INCLUDE_PATH
 ifeq "$(shell echo $(OSG_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  OSG_INCLUDE=-I$(OSG_INCLUDE_PATH)
 else
  OSG_INCLUDE=-I$(BASEDIR)/$(OSG_INCLUDE_PATH)
 endif
else
 OSG_INCLUDE=
endif

ifdef GLUT_INCLUDE_PATH
 ifeq "$(shell echo $(GLUT_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  GLUT_INCLUDE=-I$(GLUT_INCLUDE_PATH)
 else
  GLUT_INCLUDE=-I$(BASEDIR)/$(GLUT_INCLUDE_PATH)
 endif
else
 GLUT_INCLUDE=
endif

ifdef COLL_INCLUDE_PATH
 ifeq "$(shell echo $(COLL_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  COLL_INCLUDE=-I$(COLL_INCLUDE_PATH)
 else
  COLL_INCLUDE=-I$(BASEDIR)/$(COLL_INCLUDE_PATH)
 endif
else
 COLL_INCLUDE=
endif

ifdef SOLID_INCLUDE_PATH
 ifeq "$(shell echo $(SOLID_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  SOLID_INCLUDE=-I$(SOLID_INCLUDE_PATH)
 else
  SOLID_INCLUDE=-I$(BASEDIR)/$(SOLID_INCLUDE_PATH)
 endif
else
 SOLID_INCLUDE=
endif

ifdef OPC_INCLUDE_PATH
 ifeq "$(shell echo $(OPC_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  OPC_INCLUDE=-I$(OPC_INCLUDE_PATH)
 else
  OPC_INCLUDE=-I$(BASEDIR)/$(OPC_INCLUDE_PATH)
 endif
else
 OPC_INCLUDE=
endif

ifdef PQP_INCLUDE_PATH
 ifeq "$(shell echo $(PQP_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  PQP_INCLUDE=-I$(PQP_INCLUDE_PATH)
 else
  PQP_INCLUDE=-I$(BASEDIR)/$(PQP_INCLUDE_PATH)
 endif
else
 PQP_INCLUDE=
endif

ifdef VC_INCLUDE_PATH
 ifeq "$(shell echo $(VC_INCLUDE_PATH) | sed 's/^\/.*/\//')" '/'
  VC_INCLUDE=-I$(VC_INCLUDE_PATH)
 else
  VC_INCLUDE=-I$(BASEDIR)/$(VC_INCLUDE_PATH)
 endif
else
 VC_INCLUDE=
endif

############
# lib code #
############

ifdef OSG_LIB_PATH
 ifeq "$(shell echo $(OSG_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  OSG_LIB=-L$(OSG_LIB_PATH)
 else
  OSG_LIB=-L$(BASEDIR)/$(OSG_LIB_PATH)
 endif
else
 OSG_LIB=
endif

ifdef GLUT_LIB_PATH
 ifeq "$(shell echo $(GLUT_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  GLUT_LIB=-L$(GLUT_LIB_PATH)
 else
  GLUT_LIB=-L$(BASEDIR)/$(OSG_LIB_PATH)
 endif
else
 GLUT_LIB=
endif

ifdef X11_LIB_PATH
 ifeq "$(shell echo $(X11_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  X11_LIB=-L$(X11_LIB_PATH)
 else
  X11_LIB=-L$(BASEDIR)/$(X11_LIB_PATH)
 endif
else
 X11_LIB=
endif

ifdef COLL_LIB_PATH
 ifeq "$(shell echo $(COLL_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  COLL_LIB=-L$(COLL_LIB_PATH)
 else
  COLL_LIB=-L$(BASEDIR)/$(COLL_LIB_PATH)
 endif
else
 COLL_LIB=
endif

ifdef SOLID_LIB_PATH
 ifeq "$(shell echo $(SOLID_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  SOLID_LIB=-L$(SOLID_LIB_PATH)
 else
  SOLID_LIB=-L$(BASEDIR)/$(SOLID_LIB_PATH)
 endif
else
 SOLID_LIB=
endif

ifdef OPC_LIB_PATH
 ifeq "$(shell echo $(OPC_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  OPC_LIB=-L$(OPC_LIB_PATH)
 else
  OPC_LIB=-L$(BASEDIR)/$(OPC_LIB_PATH)
 endif
else
 OPC_LIB=
endif

ifdef PQP_LIB_PATH
 ifeq "$(shell echo $(PQP_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  PQP_LIB=-L$(PQP_LIB_PATH)
 else
  PQP_LIB=-L$(BASEDIR)/$(PQP_LIB_PATH)
 endif
else
 PQP_LIB=
endif

ifdef VC_LIB_PATH
 ifeq "$(shell echo $(VC_LIB_PATH) | sed 's/^\/.*/\//')" '/'
  VC_LIB=-L$(VC_LIB_PATH)
 else
  VC_LIB=-L$(BASEDIR)/$(VC_LIB_PATH)
 endif
else
 VC_LIB=
endif
